Intermittent browser/components/downloads/test/browser/browser_libraryDrop.js | Test timed out -

REOPENED
Unassigned

Status

P5
normal
REOPENED
2 years ago
2 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure, leave-open})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment)

Updated

2 years ago
Priority: -- → P3
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Bulk priority update of open intermittent test failure bugs. 

P3 => P5

https://bugzilla.mozilla.org/show_bug.cgi?id=1381960
Priority: P3 → P5
https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: 2 years agoa year ago
Resolution: --- → INCOMPLETE
Comment hidden (Intermittent Failures Robot)
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=174902341&repo=mozilla-central&lineNumber=13356

03:42:53     INFO -  1290 INFO TEST-START | browser/components/downloads/test/browser/browser_libraryDrop.js
03:42:53     INFO -  GECKO(7908) | ++DOCSHELL 0000015DB7D8C000 == 5 [pid = 7908] [id = {b8fca3fe-bc39-4be5-bd6f-a56516df439f}]
03:42:53     INFO -  GECKO(7908) | ++DOMWINDOW == 11 (0000015DB46DF400) [pid = 7908] [serial = 106] [outer = 0000000000000000]
03:42:53     INFO -  GECKO(7908) | ++DOMWINDOW == 12 (0000015DB92C6C00) [pid = 7908] [serial = 107] [outer = 0000015DB46DF400]
03:42:54     INFO -  GECKO(7908) | [Parent 7908, Main Thread] WARNING: Suboptimal indexes for the SQL statement 0x15dbf575090 (http://mzl.la/1FuID0j).: file z:/build/build/src/storage/mozStoragePrivateHelpers.cpp, line 114
03:43:01     INFO -  GECKO(7908) | --DOCSHELL 0000017AA3161000 == 0 [pid = 2204] [id = {ba80bfb2-83f9-4eae-bc0b-17065bb67fbe}]
03:43:02     INFO -  GECKO(7908) | --DOMWINDOW == 1 (0000017AAA505800) [pid = 2204] [serial = 20] [outer = 0000000000000000] [url = about:blank]
03:43:06     INFO -  GECKO(7908) | --DOMWINDOW == 0 (0000017AAA988400) [pid = 2204] [serial = 21] [outer = 0000000000000000] [url = about:blank]
03:44:29     INFO -  TEST-INFO | started process screenshot
03:44:29     INFO -  TEST-INFO | screenshot: exit 0
03:44:29     INFO -  Buffered messages logged at 03:42:53
03:44:29     INFO -  1291 INFO Entering test bound test_indicatorDrop
03:44:29     INFO -  1292 INFO must wait for load
03:44:29     INFO -  1293 INFO must wait for focus
03:44:29     INFO -  Buffered messages logged at 03:42:54
03:44:29     INFO -  1294 INFO TEST-PASS | browser/components/downloads/test/browser/browser_libraryDrop.js | download list box present -
03:44:29     INFO -  Buffered messages logged at 03:43:04
03:44:29     INFO -  1295 INFO TEST-PASS | browser/components/downloads/test/browser/browser_libraryDrop.js | http://localhost:50985/file1.txt is added to download -
03:44:29     INFO -  1296 INFO TEST-PASS | browser/components/downloads/test/browser/browser_libraryDrop.js | download list box present -
03:44:29     INFO -  Buffered messages finished
03:44:29    ERROR -  1297 INFO TEST-UNEXPECTED-FAIL | browser/components/downloads/test/browser/browser_libraryDrop.js | Test timed out -
03:44:39     INFO -  1298 INFO must wait for focus
03:44:39     INFO -  GECKO(7908) | [Parent 7908, Main Thread] WARNING: Suboptimal indexes for the SQL statement 0x15dbf575090 (http://mzl.la/1FuID0j).: file z:/build/build/src/storage/mozStoragePrivateHelpers.cpp, line 114
03:44:39     INFO -  GECKO(7908) | --DOCSHELL 0000015DB7D8C000 == 4 [pid = 7908] [id = {b8fca3fe-bc39-4be5-bd6f-a56516df439f}]
03:44:39     INFO -  GECKO(7908) | MEMORY STAT | vsize 2369MB | vsizeMaxContiguous 132333919MB | residentFast 395MB | heapAllocated 99MB
03:44:39     INFO -  1299 INFO TEST-OK | browser/components/downloads/test/browser/browser_libraryDrop.js | took 106080ms
03:44:39     INFO -  GECKO(7908) | ++DOCSHELL 0000017AA3159000 == 1 [pid = 2204] [id = {4cbe8614-17df-4098-8413-4d752036f1f3}]
03:44:39     INFO -  GECKO(7908) | ++DOMWINDOW == 1 (0000017AA81DB400) [pid = 2204] [serial = 22] [outer = 0000000000000000]
03:44:39     INFO -  GECKO(7908) | ++DOMWINDOW == 2 (0000017AAA505800) [pid = 2204] [serial = 23] [outer = 0000017AA81DB400]
03:44:39     INFO -  1300 INFO checking window state
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
In the last 7 days, there are 31 failures.

They occur on windows10-64-ccov (debug).

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=195447633&repo=mozilla-central

:Paolo Amadini, Could you please have a look at this?
Flags: needinfo?(paolo.mozmail)
Whiteboard: [stockwell needswork]

Comment 18

5 months ago
Isn't windows10-64-ccov a tier-2 platform? If so, probably failures in that area shouldn't be used for prioritization of intermittent failures.
Flags: needinfo?(paolo.mozmail) → needinfo?(ebalazs)
:jmaher, Can you please give us your opinion? Thanks!
Flags: needinfo?(ebalazs) → needinfo?(jmaher)
all coverage is tier-2, tier-2 is not something we backout on immediately, but it is something that we file bugs on and investigate.  Right now this is failing ~50% of the time, that is in the category of just disabling the test.  We don't like to do that for coverage because when we start generating reports or making decisions on coverage we will see holes and then find out that there is coverage based on tests but they are disabled on coverage.
Flags: needinfo?(jmaher)
Comment hidden (Intermittent Failures Robot)
:Paolo Amadini

Have you had a chance to take a look at this bug yet?
Flags: needinfo?(paolo.mozmail)

Comment 23

5 months ago
The incidence of this bug may have been reduced by bug 1486757.
Depends on: 1486757
Flags: needinfo?(paolo.mozmail)
Comment hidden (Intermittent Failures Robot)
There have been 38 failures in the last week.
Failures occur only on windows10-64-ccov / debug.

Recent relevant log: 
https://treeherder.mozilla.org/logviewer.html#?job_id=198208563&repo=mozilla-central&lineNumber=6776

05:40:25     INFO - GECKO(9008) | --DOMWINDOW == 49 (000001D654E39C00) [pid = 9008] [serial = 98] [outer = 0000000000000000] [url = about:blank]
05:40:33     INFO - TEST-INFO | started process screenshot
05:40:33     INFO - TEST-INFO | screenshot: exit 0
05:40:33     INFO - Buffered messages logged at 05:38:33
05:40:33     INFO - Entering test bound test_indicatorDrop
05:40:33     INFO - must wait for load
05:40:33     INFO - must wait for focus
05:40:33     INFO - Buffered messages logged at 05:38:34
05:40:33     INFO - TEST-PASS | browser/components/downloads/test/browser/browser_libraryDrop.js | download list box present - 
05:40:33     INFO - Buffered messages finished
05:40:33     INFO - TEST-UNEXPECTED-FAIL | browser/components/downloads/test/browser/browser_libraryDrop.js | Test timed out - 
05:41:02     INFO - GECKO(9008) | --DOMWINDOW == 48 (000001D64EF3DC00) [pid = 9008] [serial = 85] [outer = 0000000000000000] [url = about:blank]
05:41:02     INFO - GECKO(9008) | --DOMWINDOW == 47 (000001D64D4C7800) [pid = 9008] [serial = 112] [outer = 0000000000000000] [url = about:blank]
Flags: needinfo?(paolo.mozmail)
Flags: needinfo?(paolo.mozmail)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
In the last week, there have been 33 failures, all on Windows 10 64 ccov Debug.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=200302245&repo=mozilla-central&lineNumber=4909
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
This bug has failed 33 times in the last 7 days. Occurs only on windows10-64-ccov debug build types.

Log:
INFO - TEST-INFO | started process screenshot
11:52:32     INFO - TEST-INFO | screenshot: exit 0
11:52:32     INFO - Buffered messages logged at 11:49:34
11:52:32     INFO - Entering test bound test_indicatorDrop
11:52:32     INFO - Buffered messages logged at 11:49:35
11:52:32     INFO - must wait for load
11:52:32     INFO - must wait for focus
11:52:32     INFO - Buffered messages logged at 11:49:36
11:52:32     INFO - TEST-PASS | browser/components/downloads/test/browser/browser_libraryDrop.js | download list box present - 
11:52:32     INFO - Buffered messages finished
11:52:32     INFO - TEST-UNEXPECTED-FAIL | browser/components/downloads/test/browser/browser_libraryDrop.js | Test timed out - 
11:53:55     INFO -  [8636, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/toolkit/components/places/Database.cpp, line 582
11:53:55     INFO -  [8636, Main Thread] WARNING: Unable to get a connection to vacuum database: file z:/build/build/src/storage/VacuumManager.cpp, line 139
11:53:55     INFO -  [8636, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/xpcom/base/nsSystemInfo.cpp, line 119
11:53:55     INFO -  [8636, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 2639
11:53:55     INFO -  [8636, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 2802
11:53:55     INFO -  [8636, IPDL Background] WARNING: '!quotaManager', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 6692
11:58:42     INFO - Buffered messages finished
11:58:42    ERROR - TEST-UNEXPECTED-TIMEOUT | browser/components/downloads/test/browser/browser_libraryDrop.js | application timed out after 370 seconds with no output
11:58:42    ERROR - Force-terminating active process(es).
11:58:42     INFO - Determining child pids from psutil...
11:58:42     INFO - [8872]
11:58:42     INFO - ==> process 8872 launched child process 6304 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.0.1266103579\1648242273" -childID 1 -isForBrowser -prefsHandle 2464 -prefMapHandle 2460 -prefsLen 1 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 2524 tab)
11:58:42     INFO - ==> process 8872 launched child process 8260 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.6.1366827276\317565784" -childID 2 -isForBrowser -prefsHandle 2236 -prefMapHandle 2408 -prefsLen 151 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 2628 tab)
11:58:42     INFO - ==> process 8872 launched child process 5668 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.12.1327943052\109100605" -childID 3 -isForBrowser -prefsHandle 2164 -prefMapHandle 2324 -prefsLen 191 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 2708 tab)
11:58:42     INFO - ==> process 8872 launched child process 8532 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.18.864746911\340584962" -childID 4 -isForBrowser -prefsHandle 3400 -prefMapHandle 3688 -prefsLen 6751 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 3684 tab)
11:58:42     INFO - ==> process 8872 launched child process 7572 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.24.1356718633\1529674970" -childID 5 -isForBrowser -prefsHandle 3888 -prefMapHandle 1672 -prefsLen 6762 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 3084 tab)
11:58:42     INFO - Found child pids: set([6304, 8260, 8872, 5668, 7572, 8532])
11:58:42     INFO - Killing process: 6304
11:58:42     INFO - Not taking screenshot here: see the one that was previously logged
11:58:42  WARNING - mozcrash kill_pid(): wait failed (-1) terminating pid 6304: error 5
11:58:42     INFO - Killing process: 8260
11:58:42     INFO - Not taking screenshot here: see the one that was previously logged
11:58:42  WARNING - mozcrash kill_pid(): wait failed (-1) terminating pid 8260: error 5
11:58:42     INFO - Killing process: 8872
11:58:42     INFO - Not taking screenshot here: see the one that was previously logged
11:58:42  WARNING - mozcrash kill_pid(): wait failed (-1) terminating pid 8872: error 5
11:58:42     INFO - Killing process: 5668
11:58:42     INFO - Not taking screenshot here: see the one that was previously logged
11:58:43  WARNING - mozcrash kill_pid(): wait failed (-1) terminating pid 5668: error 5
11:58:43     INFO - Killing process: 7572
11:58:43     INFO - Not taking screenshot here: see the one that was previously logged
11:58:43  WARNING - mozcrash kill_pid(): wait failed (-1) terminating pid 7572: error 5
11:58:43     INFO - Killing process: 8532
11:58:43     INFO - Not taking screenshot here: see the one that was previously logged
11:58:43  WARNING - mozcrash kill_pid(): wait failed (-1) terminating pid 8532: error 5
11:58:43     INFO - psutil found pid 5668 dead
11:58:43     INFO - psutil found pid 8260 dead
11:58:43     INFO - psutil found pid 8872 dead
11:58:43     INFO - psutil found pid 8532 dead
11:58:43     INFO - psutil found pid 6304 dead
11:58:43     INFO - psutil found pid 7572 dead
11:58:43     INFO - Killing process: 8592
11:58:43     INFO - Not taking screenshot here: see the one that was previously logged
11:58:43  WARNING - mozcrash kill_pid(): unable to terminate pid 8592: 5
11:58:43     INFO - psutil found pid 8592 dead
11:58:43     INFO - TEST-INFO | Main app process: exit 1
11:58:43    ERROR - TEST-UNEXPECTED-FAIL | ShutdownLeaks | process() called before end of test suite
11:58:43     INFO - Buffered messages finished
11:58:43    ERROR - TEST-UNEXPECTED-FAIL | browser/components/downloads/test/browser/browser_libraryDrop.js | application terminated with exit code 1
11:58:43     INFO - runtests.py | Application ran for: 0:10:47.806000
11:58:43     INFO - zombiecheck | Reading PID log: c:\users\task_1538738951\appdata\local\temp\tmpv5odfvpidlog
11:58:43     INFO - ==> process 8872 launched child process 6304 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.0.1266103579\1648242273" -childID 1 -isForBrowser -prefsHandle 2464 -prefMapHandle 2460 -prefsLen 1 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 2524 tab)
11:58:43     INFO - ==> process 8872 launched child process 8260 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.6.1366827276\317565784" -childID 2 -isForBrowser -prefsHandle 2236 -prefMapHandle 2408 -prefsLen 151 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 2628 tab)
11:58:43     INFO - ==> process 8872 launched child process 5668 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.12.1327943052\109100605" -childID 3 -isForBrowser -prefsHandle 2164 -prefMapHandle 2324 -prefsLen 191 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 2708 tab)
11:58:43     INFO - ==> process 8872 launched child process 8532 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.18.864746911\340584962" -childID 4 -isForBrowser -prefsHandle 3400 -prefMapHandle 3688 -prefsLen 6751 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 3684 tab)
11:58:43     INFO - ==> process 8872 launched child process 7572 ("Z:\task_1538738951\build\application\firefox\firefox.exe" -contentproc --channel="8872.24.1356718633\1529674970" -childID 5 -isForBrowser -prefsHandle 3888 -prefMapHandle 1672 -prefsLen 6762 -prefMapSize 187420 -schedulerPrefs 0001,2 -parentBuildID 20181005100834 -greomni "Z:\task_1538738951\build\application\firefox\omni.ja" -appomni "Z:\task_1538738951\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1538738951\build\application\firefox\browser" - 8872 "\\.\pipe\gecko-crash-server-pipe.8872" 3084 tab)
11:58:43     INFO - zombiecheck | Checking for orphan process with PID: 6304
11:58:43     INFO - zombiecheck | Checking for orphan process with PID: 5668
11:58:43     INFO - zombiecheck | Checking for orphan process with PID: 7572
11:58:43     INFO - zombiecheck | Checking for orphan process with PID: 8260
11:58:43     INFO - zombiecheck | Checking for orphan process with PID: 8532
11:58:43     INFO - mozcrash Copy/paste: Z:\task_1538738951\build\win32-minidump_stackwalk.exe c:\users\task_1538738951\appdata\local\temp\tmpgl1jk7.mozrunner\minidumps\0ebd046f-0005-4306-a194-e38768480072.dmp Z:\task_1538738951\build\symbols
11:58:54     INFO - mozcrash Saved minidump as Z:\task_1538738951\build\blobber_upload_dir\0ebd046f-0005-4306-a194-e38768480072.dmp
11:58:54     INFO - PROCESS-CRASH | browser/components/downloads/test/browser/browser_libraryDrop.js | application crashed [None]
11:58:54     INFO - Crash dump filename: c:\users\task_1538738951\appdata\local\temp\tmpgl1jk7.mozrunner\minidumps\0ebd046f-0005-4306-a194-e38768480072.dmp
11:58:54     INFO - Operating system: Windows NT
11:58:54     INFO -                   10.0.15063 
11:58:54     INFO - CPU: amd64
11:58:54     INFO -      family 6 model 63 stepping 2
11:58:54     INFO -      8 CPUs
11:58:54     INFO - 
11:58:54     INFO - GPU: UNKNOWN
11:58:54     INFO - 
11:58:54     INFO - No crash
11:58:54     INFO - Process uptime: 647 seconds
11:58:54     INFO - 
11:58:54     INFO - Thread 0
11:58:54     INFO -  0  xul.dll!NS_LogCtor [nsTraceRefcnt.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 1104 + 0x18]
11:58:54     INFO -     rax = 0x0000000000000001   rdx = 0x0000000000000001
11:58:54     INFO -     rcx = 0x0000000000000000   rbx = 0x0000000012e64d01
11:58:54     INFO -     rsi = 0x0000000000000000   rdi = 0x00007ff912dea2d8
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfc820
11:58:54     INFO -      r8 = 0x00000000ab3b73e4    r9 = 0x6060ff647260615e
11:58:54     INFO -     r10 = 0xfefefefefefefeff   r11 = 0x8080808080808080
11:58:54     INFO -     r12 = 0x0000000000000107   r13 = 0x00007ff91b9da0f0
11:58:54     INFO -     r14 = 0x000000fa19bfc968   r15 = 0x0000000000000008
11:58:54     INFO -     rip = 0x00007ff903d864f4
11:58:54     INFO -     Found by: given as instruction pointer in context
11:58:54     INFO -  1  xul.dll!mozilla::dom::AllChildrenIterator::AllChildrenIterator(nsIContent const *,unsigned int,bool) [ChildIterator.h:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 211 + 0x71]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfc8b0   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90774b818
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  2  xul.dll!static void mozilla::VerifyFlatTree(const class nsIContent & const) [RestyleManager.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 3111 + 0x14]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfc910   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90cd60fe3
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  3  xul.dll!static void mozilla::VerifyFlatTree(const class nsIContent & const) [RestyleManager.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 3118 + 0x10]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfc9d0   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90cd6106d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  4  xul.dll!static void mozilla::VerifyFlatTree(const class nsIContent & const) [RestyleManager.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 3118 + 0x10]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfca90   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90cd6106d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  5  xul.dll!static void mozilla::VerifyFlatTree(const class nsIContent & const) [RestyleManager.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 3118 + 0x10]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcb50   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90cd6106d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  6  xul.dll!mozilla::PresShell::DoFlushPendingNotifications(mozilla::ChangesToFlush) [PresShell.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 4327 + 0x4a]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcc10   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90cd14cdb
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  7  xul.dll!nsIDocument::FlushPendingNotifications(mozilla::ChangesToFlush) [nsDocument.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 7642 + 0x4b]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcd20   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90799f0a2
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  8  xul.dll!mozilla::dom::BoxObject::GetPresShell(bool) [BoxObject.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 134 + 0xa]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcdc0   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90d3e8b04
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO -  9  xul.dll!mozilla::dom::BoxObject::GetFrame(bool) [BoxObject.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 101 + 0x5]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfce10   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90d3e88c0
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 10  xul.dll!mozilla::dom::BoxObject::GetOffsetRect(mozilla::gfx::IntRectTyped<mozilla::gfx::UnknownUnits> &) [BoxObject.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 149 + 0xd]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfce50   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90d3e8d2f
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 11  xul.dll!mozilla::dom::BoxObject::GetWidth(int *) [BoxObject.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 241 + 0x5]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcf30   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90d3e950b
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 12  xul.dll!mozilla::dom::BoxObject::Width() [BoxObject.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 520 + 0xb]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcf80   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff90d3eb7af
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 13  xul.dll!static bool mozilla::dom::BoxObject_Binding::get_width(struct JSContext *, class JS::Handle<JSObject *>, class mozilla::dom::BoxObject *, class JSJitGetterCallArgs) [BoxObjectBinding.cpp: : 191 + 0x8]
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfcfc0   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00007ff907dd2839
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 14  0x73be4f83e5
11:58:54     INFO -     rbx = 0x0000000012e64d01   rbp = 0x00007ff91943d010
11:58:54     INFO -     rsp = 0x000000fa19bfd040   r12 = 0x0000000000000107
11:58:54     INFO -     r13 = 0x00007ff91b9da0f0   r14 = 0x000000fa19bfc968
11:58:54     INFO -     r15 = 0x0000000000000008   rip = 0x00000073be4f83e5
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 15  xul.dll!js::ThisThread::GetId() [Thread.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 152 + 0x6]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd060
11:58:54     INFO -     rip = 0x00007ff910b34e7a
11:58:54     INFO -     Found by: stack scanning
11:58:54     INFO - 16  xul.dll!js::CheckThreadLocal::check() [ProtectedData.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 48 + 0x15]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd0c0
11:58:54     INFO -     rip = 0x00007ff910b34d25
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 17  0xfa19bfd290
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd110
11:58:54     INFO -     rip = 0x000000fa19bfd290
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 18  xul.dll!js::jit::MaybeEnterJit(JSContext *,js::RunState &) [Jit.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 170 + 0x5c4]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd200
11:58:54     INFO -     rip = 0x00007ff911eadf9a
11:58:54     INFO -     Found by: stack scanning
11:58:54     INFO - 19  xul.dll!js::RunScript(JSContext *,js::RunState &) [Interpreter.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 425 + 0xb]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd770
11:58:54     INFO -     rip = 0x00007ff911adafd2
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 20  xul.dll!js::InternalCallOrConstruct(JSContext *,JS::CallArgs const &,js::MaybeConstruct) [Interpreter.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 580 + 0x12]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd890
11:58:54     INFO -     rip = 0x00007ff911b08695
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 21  xul.dll!static bool InternalCall(struct JSContext *, const class js::AnyInvokeArgs & const) [Interpreter.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 607 + 0x16]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfd9b0
11:58:54     INFO -     rip = 0x00007ff911b0a0e3
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 22  xul.dll!js::Call(JSContext *,JS::Handle<JS::Value>,JS::Handle<JS::Value>,js::AnyInvokeArgs const &,JS::MutableHandle<JS::Value>) [Interpreter.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 626 + 0x8]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfda30
11:58:54     INFO -     rip = 0x00007ff911b0a27f
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 23  xul.dll!JS::Call(JSContext *,JS::Handle<JS::Value>,JS::Handle<JS::Value>,JS::HandleValueArray const &,JS::MutableHandle<JS::Value>) [jsapi.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 2979 + 0x28]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfda90
11:58:54     INFO -     rip = 0x00007ff910a151ef
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 24  xul.dll!mozilla::dom::FrameRequestCallback::Call(JSContext *,JS::Handle<JS::Value>,double,mozilla::ErrorResult &) [WindowBinding.cpp: : 809 + 0x17]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfdbb0
11:58:54     INFO -     rip = 0x00007ff9091ab09d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 25  xul.dll!mozilla::dom::FrameRequestCallback::Call(double,mozilla::ErrorResult &,char const *,mozilla::dom::CallbackObject::ExceptionHandling,JS::Realm *) [WindowBinding.h: : 548 + 0x11]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfdd10
11:58:54     INFO -     rip = 0x00007ff9071625b4
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 26  xul.dll!nsRefreshDriver::RunFrameRequestCallbacks(mozilla::TimeStamp) [nsRefreshDriver.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 1717 + 0xf2]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfdf40
11:58:54     INFO -     rip = 0x00007ff90ccb4502
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 27  xul.dll!nsRefreshDriver::Tick(mozilla::TimeStamp) [nsRefreshDriver.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 1889 + 0x28]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfe0b0
11:58:54     INFO -     rip = 0x00007ff90ccae72d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 28  xul.dll!mozilla::RefreshDriverTimer::TickRefreshDrivers(mozilla::TimeStamp,nsTArray<RefPtr<nsRefreshDriver> > &) [nsRefreshDriver.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 300 + 0x38]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfe500
11:58:54     INFO -     rip = 0x00007ff90ccbb608
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 29  xul.dll!mozilla::RefreshDriverTimer::Tick(mozilla::TimeStamp) [nsRefreshDriver.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 318 + 0x22]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfe5a0
11:58:54     INFO -     rip = 0x00007ff90ccbb212
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 30  xul.dll!mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::TickRefreshDriver(mozilla::TimeStamp) [nsRefreshDriver.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 672 + 0x78]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfe660
11:58:54     INFO -     rip = 0x00007ff90ccbe368
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 31  xul.dll!mozilla::VsyncRefreshDriverTimer::RefreshDriverVsyncObserver::ParentProcessVsyncNotifier::Run() [nsRefreshDriver.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 513 + 0x1c]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfe710
11:58:54     INFO -     rip = 0x00007ff90ccbe7e3
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 32  xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 1231 + 0x6]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfe790
11:58:54     INFO -     rip = 0x00007ff903f31bce
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 33  xul.dll!NS_ProcessNextEvent(nsIThread *,bool) [nsThreadUtils.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 530 + 0xd]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfed70
11:58:54     INFO -     rip = 0x00007ff903f3a8ad
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 34  xul.dll!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [MessagePump.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 97 + 0xa]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfedc0
11:58:54     INFO -     rip = 0x00007ff904fd20ce
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 35  xul.dll!MessageLoop::RunInternal() [message_loop.cc:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 325 + 0x8]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfee50
11:58:54     INFO -     rip = 0x00007ff904f09c2c
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 36  xul.dll!MessageLoop::RunHandler() [message_loop.cc:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 318 + 0x8]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfeed0
11:58:54     INFO -     rip = 0x00007ff904f099ca
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 37  xul.dll!MessageLoop::Run() [message_loop.cc:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 298 + 0x5]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfef20
11:58:54     INFO -     rip = 0x00007ff904f09840
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 38  xul.dll!nsBaseAppShell::Run() [nsBaseAppShell.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 158 + 0xd]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfef70
11:58:54     INFO -     rip = 0x00007ff90c61750d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 39  xul.dll!nsAppShell::Run() [nsAppShell.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 420 + 0x8]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bfefb0
11:58:54     INFO -     rip = 0x00007ff90c768412
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 40  xul.dll!nsAppStartup::Run() [nsAppStartup.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 290 + 0x6]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff020
11:58:54     INFO -     rip = 0x00007ff90fe500f1
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 41  xul.dll!XREMain::XRE_mainRun() [nsAppRunner.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 4777 + 0x6]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff080
11:58:54     INFO -     rip = 0x00007ff910115d21
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 42  xul.dll!XREMain::XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [nsAppRunner.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 4922 + 0x8]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff2f0
11:58:54     INFO -     rip = 0x00007ff910119133
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 43  xul.dll!XRE_main(int,char * * const,mozilla::BootstrapConfig const &) [nsAppRunner.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 5014 + 0x10]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff420
11:58:54     INFO -     rip = 0x00007ff91011a0ab
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 44  firefox.exe!NS_internal_main(int,char * *,char * *) [nsBrowserApp.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 315 + 0x28]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff5c0
11:58:54     INFO -     rip = 0x00007ff6d1171b28
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 45  firefox.exe!wmain [nsWindowsWMain.cpp:863c5a0642a84831b8ff3cac737c8657c70b05f1 : 143 + 0x15]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff780
11:58:54     INFO -     rip = 0x00007ff6d117155d
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 46  firefox.exe!static int __scrt_common_main_seh() [exe_common.inl : 288 + 0x22]
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff840
11:58:54     INFO -     rip = 0x00007ff6d1198fc8
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 47  kernel32.dll!BaseThreadInitThunk + 0x14
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff880
11:58:54     INFO -     rip = 0x00007ff948732774
11:58:54     INFO -     Found by: call frame info
11:58:54     INFO - 48  ntdll.dll!SdbpCheckMatchingRegistryEntry + 0x29d
11:58:54     INFO -     rbp = 0x00007ff91943d010   rsp = 0x000000fa19bff8b0
11:58:54     INFO -     rip = 0x00007ff94aa00d61
11:58:54     INFO -     Found by: call frame info

Paolo Amadini: Can you please take a look at this bug?
Flags: needinfo?(paolo.mozmail)
QA Contact: paolo.mozmail
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Update: there were 39 failures within the last 7 days, all of them on Windows 10 x64 ccov.
Example failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=207587630&repo=mozilla-central&lineNumber=4575
Whiteboard: [stockwell unknown] → [stockwell needswork]

Comment 36

3 months ago
Moving to the Code Coverage component since the failure is specific to this configuration and the crash signature points to AllChildrenIterator > NS_LogCtor, which I don't see as a possible code path in regular builds.
Component: Downloads Panel → Code Coverage
Flags: needinfo?(paolo.mozmail)
Product: Firefox → Testing
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
There are 34 total failures in the last 7 days, all on 

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=209940096&repo=mozilla-central&lineNumber=11432

23:39:13     INFO - TEST-START | browser/components/downloads/test/browser/browser_libraryDrop.js

23:40:40     INFO - GECKO(5888) | --DOMWINDOW == 40 (000001D7582EFC00) [pid = 7292] [serial = 115] [outer = 0000000000000000] [url = about:mozilla]
23:40:40     INFO - GECKO(5888) | --DOMWINDOW == 39 (000001D756381800) [pid = 7292] [serial = 111] [outer = 0000000000000000] [url = about:blank]
23:40:40     INFO - GECKO(5888) | --DOMWINDOW == 38 (000001D75619FC00) [pid = 7292] [serial = 114] [outer = 0000000000000000] [url = about:blank]
23:40:40     INFO - GECKO(5888) | --DOMWINDOW == 37 (000001D741492800) [pid = 7292] [serial = 117] [outer = 0000000000000000] [url = about:blank]
23:41:12     INFO - TEST-INFO | started process screenshot
23:41:13     INFO - TEST-INFO | screenshot: exit 0
23:41:13     INFO - Buffered messages logged at 23:39:13
23:41:13     INFO - Entering test bound test_indicatorDrop
23:41:13     INFO - must wait for load
23:41:13     INFO - must wait for focus
23:41:13     INFO - Buffered messages logged at 23:39:14
23:41:13     INFO - TEST-PASS | browser/components/downloads/test/browser/browser_libraryDrop.js | download list box present - 
23:41:13     INFO - Buffered messages finished
23:41:13     INFO - TEST-UNEXPECTED-FAIL | browser/components/downloads/test/browser/browser_libraryDrop.js | Test timed out - 
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 36 (000001D74D1C9000) [pid = 7292] [serial = 70] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 35 (000001D74D356800) [pid = 7292] [serial = 73] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 34 (000001D759764C00) [pid = 7292] [serial = 100] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 33 (000001D74D1CD400) [pid = 7292] [serial = 71] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 32 (000001D74D163000) [pid = 7292] [serial = 82] [outer = 0000000000000000] [url = about:mozilla]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 31 (000001D75868AC00) [pid = 7292] [serial = 95] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 30 (000001D7533FB400) [pid = 7292] [serial = 79] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 29 (000001D756374400) [pid = 7292] [serial = 84] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 28 (000001D7533F9800) [pid = 7292] [serial = 78] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 27 (000001D7551E0000) [pid = 7292] [serial = 81] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 26 (000001D7582F4C00) [pid = 7292] [serial = 89] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 25 (000001D758686800) [pid = 7292] [serial = 92] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 24 (000001D7551E7800) [pid = 7292] [serial = 90] [outer = 0000000000000000] [url = about:blank]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 23 (000001D758687800) [pid = 7292] [serial = 93] [outer = 0000000000000000] [url = about:mozilla]
23:41:52     INFO - GECKO(5888) | --DOMWINDOW == 22 (000001D758DA9000) [pid = 7292] [serial = 103] [outer = 0000000000000000] [url = about:blank]
23:42:20     INFO - GECKO(5888) | --DOMWINDOW == 21 (000001D741446A00) [pid = 7292] [serial = 107] [outer = 0000000000000000] [url = chrome://browser/content/browser.xul]
23:43:27     INFO -  [5648, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/toolkit/components/places/Database.cpp, line 578
23:43:27     INFO -  [5648, Main Thread] WARNING: Unable to get a connection to vacuum database: file z:/build/build/src/storage/VacuumManager.cpp, line 139
23:43:28     INFO -  [5648, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file z:/build/build/src/xpcom/base/nsSystemInfo.cpp, line 119
23:43:28     INFO -  [5648, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 2660
23:43:28     INFO -  [5648, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 2823
23:43:28     INFO -  [5648, IPDL Background] WARNING: '!quotaManager', file z:/build/build/src/dom/quota/ActorsParent.cpp, line 6675
23:46:55     INFO - GECKO(5888) | --DOMWINDOW == 20 (000001D741470000) [pid = 7292] [serial = 108] [outer = 0000000000000000] [url = about:blank]
23:52:28     INFO -  JavaScript error: jar:file:///Z:/task_1541459556/build/application/firefox/omni.ja!/components/nsPlacesExpiration.js, line 762: TypeError: this._db is undefined; can't access its "createAsyncStatement" property
23:53:05     INFO - Buffered messages finished
23:53:05    ERROR - TEST-UNEXPECTED-TIMEOUT | browser/components/downloads/test/browser/browser_libraryDrop.js | application timed out after 370 seconds with no output
23:53:05    ERROR - Force-terminating active process(es).
23:53:05     INFO - Determining child pids from psutil...

Kyle can you please take a look at this?
Flags: needinfo?(klahnakoski)
this is mostly perma fail on win10 ccov (19/23 in the last 6 days), seems we have many of these- with ccov I understand tests will take longer.  The question is how much longer.


We could either:
1) extend the timeout of the test
2) disable the test on win ccov
Created attachment 9022953 [details] [diff] [review]
Skipped test on win10 ccov

Created a patch in case we decide to disable this test.
Attachment #9022953 - Flags: review?(jmaher)
Comment on attachment 9022953 [details] [diff] [review]
Skipped test on win10 ccov

Review of attachment 9022953 [details] [diff] [review]:
-----------------------------------------------------------------

ok, lets get an answer to the question on overall runtime first
Attachment #9022953 - Flags: review?(jmaher) → review+
linux32/debug-e10s:                        8.48 s (7.32 s - 22.78 s over 170 runs)
linux32/opt-e10s:                          1.32 s (0.98 s - 1.58 s over 186 runs)
linux64/[u'asan', u'opt']-e10s:            3.06 s (2.59 s - 3.78 s over 163 runs)
linux64/[u'ccov', u'debug']-e10s:         12.13 s (9.24 s - 14.67 s over 23 runs)
linux64/[u'opt', u'pgo']-e10s:             1.16 s (0.91 s - 2.11 s over 185 runs)
linux64/debug-e10s:                        6.58 s (5.43 s - 9.83 s over 171 runs)
linux64/debug-e10s:                        6.66 s (6.08 s - 8.61 s over 25 runs)
linux64/opt-e10s:                          1.36 s (1.00 s - 2.77 s over 200 runs)
maxosx64/debug-e10s:                       6.65 s (4.15 s - 8.57 s over 337 runs)
maxosx64/opt-e10s:                         1.40 s (1.08 s - 1.72 s over 399 runs)
win32/[u'opt', u'pgo']-e10s:               0.89 s (0.83 s - 1.10 s over 232 runs)
win32/debug-e10s:                          3.67 s (3.00 s - 5.35 s over 404 runs)
win32/opt-e10s:                            0.92 s (0.85 s - 1.02 s over 175 runs)
win64/[u'asan', u'opt']-e10s:              2.57 s (2.33 s - 3.71 s over 161 runs)
win64/[u'ccov', u'debug']-e10s:           32.80 s (31.50 s - 34.28 s over 4 runs)
win64/[u'opt', u'pgo']-e10s:               1.02 s (0.91 s - 1.37 s over 254 runs)
win64/debug-e10s:                          3.51 s (2.58 s - 4.77 s over 302 runs)
win64/opt-e10s:                            1.03 s (0.88 s - 1.51 s over 178 runs)
win64/opt-e10s:                            1.05 s (0.90 s - 1.25 s over 11 runs)

win10/ccov is very long compared to the other configs.
Flags: needinfo?(klahnakoski)
Keywords: checkin-needed, leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]

Comment 44

3 months ago
Pushed by dvarga@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/cf377ddcbcd0
Disable browser_libraryDrop.js on win10 ccov for almost perma fail. r=jmaher
Keywords: checkin-needed
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.